package com.ampiere.dto;

import java.io.Serializable;
/**
 * Simple Data Transfer Object: データ転送オブジェクト
 * 簡単にデータを転送するために使える。
 * @author bato
 */
public class SimpleBean implements Serializable {

	private static final long serialVersionUID = 866004422998365144L;
	private String key;
	private String value;

	public SimpleBean(String k, String v){
		key = k; value = v;
	}
	
	/**
	 * To String.
	 */
	public String toString() {
		return new org.apache.commons.lang.builder.ToStringBuilder(this)
				.append("user", key).append("pass", value)
				.toString();
	}
	/**
	 * @return Returns the key.
	 */
	public String getKey() {
		return key;
	}
	/**
	 * @param key The key to set.
	 */
	public void setKey(String key) {
		this.key = key;
	}
	/**
	 * @return Returns the value.
	 */
	public String getValue() {
		return value;
	}
	/**
	 * @param value The value to set.
	 */
	public void setValue(String value) {
		this.value = value;
	}

}
